%global debug_package %nil

%global srcname PyOpenGL

Summary:	Python bindings for OpenGL
Name:		python-opengl
Version:	3.1.8
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		https://libraries.io/pypi/PyOpenGL
Source0:	https://github.com/mcfletch/pyopengl/archive/refs/tags/release-%{version}.tar.gz
Patch0:		0001-Pyopengl-fix-version-to-3.1.8.patch
BuildRequires:	pkgconfig(freeglut)
BuildRequires:	swig
BuildRequires:	tcl
BuildRequires:	pkgconfig(tcl)
BuildRequires:	tk
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3-numpy-devel
BuildRequires:  python3-cython
Provides:	%{name}-doc
Requires:	glut

%description
Python bindings for OpenGL

%package	tk
Summary:	PyOpenGL Tk widget
Group:		System/Libraries
BuildArch:	noarch
Requires:	%{name} = %{version}
Requires:	tkinter

%description	tk
PyOpenGL Togl (Tk OpenGL widget) 1.6 support.

%package -n python3-opengl
Summary:	Python3 bindings for OpenGL
Group:		System/Libraries
Provides:	python3-opengl-doc
Requires:	glut
Requires:	python3dist(numpy)

%description -n python3-opengl
Python3 bindings for OpenGL

%package -n python3-opengl-tk
Summary:	PyOpenGL Tk widget
Group:		System/Libraries
BuildArch:	noarch
Requires:	python3-opengl = %{version}
Requires:	tkinter3

%description -n python3-opengl-tk
PyOpenGL Togl (Tk OpenGL widget) 1.6 support.

%prep
%autosetup -n pyopengl-release-%{version} -p1

%build
# Delete all Cython generated .c files to force a rebuild 
pushd accelerate/src
for f in *.pyx ; do
    rm -f "${f%.pyx}.c"
done
popd
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files OpenGL

%files -n python3-opengl -f %{pyproject_files}
%exclude %{python3_sitelib}/OpenGL/Tk

%files -n python3-opengl-tk
%{python3_sitelib}/OpenGL/Tk




%changelog
* Sun Mar 02 2025 wally <wally> 3.1.8-2.mga10
+ Revision: 2157328
- rebuild for python3.13

* Fri Sep 20 2024 papoteur <papoteur> 3.1.8-1.mga10
+ Revision: 2099433
- new version 3.1.8

* Wed Dec 27 2023 joequant <joequant> 3.1.5-6.mga10
+ Revision: 2022131
- rebuild for py3.12

* Mon Dec 18 2023 tv <tv> 3.1.5-5.mga10
+ Revision: 2018821
- Rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 3.1.5-4.mga9
+ Revision: 1831948
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 3.1.5-3.mga9
+ Revision: 1773799
- Fix building with python-3.10
- Rebuild for python-3.10

* Tue Mar 16 2021 tmb <tmb> 3.1.5-2.mga9
+ Revision: 1703841
- rebuild for python 3.9

* Fri Dec 04 2020 luigiwalser <luigiwalser> 3.1.5-1.mga8
+ Revision: 1652361
- 3.1.5

* Wed Jul 22 2020 ovitters <ovitters> 3.1.3b2-5.mga8
+ Revision: 1608070
- rebuild for get rid of pythonegg requires

* Wed Apr 29 2020 tv <tv> 3.1.3b2-4.mga8
+ Revision: 1573055
- submit so that convert pythonegg(3) into python3dist() fixes mageiawelcome
  deps with python3-numpy-1.18.3-1.mga8

* Sun Feb 16 2020 umeabot <umeabot> 3.1.3b2-3.mga8
+ Revision: 1531585
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 3.1.3b2-2.mga8
+ Revision: 1439785
- drop BR on python-numpy-devel
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 tv <tv> 3.1.3b2-1.mga7
+ Revision: 1352974
- new release
+ tmb <tmb>
- rebuild for python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 3.1.0-9.mga7
+ Revision: 1300540
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 3.1.0-8.mga7
+ Revision: 1135524
- Rebuild for python 3.6

* Wed Apr 27 2016 tv <tv> 3.1.0-7.mga6
+ Revision: 1006926
- use new py macros

* Tue Feb 16 2016 umeabot <umeabot> 3.1.0-6.mga6
+ Revision: 962244
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 3.1.0-5.mga6
+ Revision: 888944
- rebuild for python 3.5
- rebuild for python 3.5

* Mon Sep 21 2015 philippem <philippem> 3.1.0-3.mga6
+ Revision: 882023
- change Requires for glut

* Fri Sep 18 2015 philippem <philippem> 3.1.0-2.mga6
+ Revision: 880255
- Add accelerate modules for Python 2 and 3

* Mon Jul 06 2015 dglent <dglent> 3.1.0-1.mga6
+ Revision: 851777
- Version 3.1.0
- Add python3 packages

* Wed Oct 15 2014 umeabot <umeabot> 3.0.2-7.mga5
+ Revision: 747007
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.0.2-6.mga5
+ Revision: 727894
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.0.2-5.mga5
+ Revision: 688192
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.0.2-3.mga4
+ Revision: 543869
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.0.2-2.mga4
+ Revision: 499013
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 3.0.2-1.mga4
+ Revision: 491693
- Update to 3.0.2

* Sun Jan 13 2013 umeabot <umeabot> 3.0.1-4.mga3
+ Revision: 379205
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 23 2011 philippem <philippem> 3.0.1-3.mga2
+ Revision: 147070
- bug#2543 and #2412 - change glut requires to freeglut

* Sun Mar 13 2011 philippem <philippem> 3.0.1-2.mga1
+ Revision: 70716
- imported package python-opengl


* Sun Mar 13 2011 Philippe Makowski <makowski.mageia@gmail.com> 3.0.1-2mga1
- import from Mandriva

* Sun Oct 31 2010 John Balcaen <mikala@mandriva.org> 3.0.1-1mdv2011.0
+ Revision: 590956
- Update to 3.0.1 final
- rediff patch0
- rebuild for python2.7

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.1-0.0.a3.2mdv2010.1
+ Revision: 523851
- rebuilt for 2010.1

* Tue Aug 25 2009 Lev Givon <lev@mandriva.org> 3.0.1-0.0.a3.1mdv2010.0
+ Revision: 421272
- Update to 3.0.1a3.

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.0.b8.1mdv2009.1
+ Revision: 318920
- new verrsion 3.0.0 b8

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 3.0.0-0.0.b5.3mdv2009.1
+ Revision: 318899
- rebuild for new python

* Sat Dec 06 2008 Adam Williamson <awilliamson@mandriva.org> 3.0.0-0.0.b5.2mdv2009.1
+ Revision: 311088
- buildrequires python-setuptools
- drop a now useless lib64 workaround
- rebuild for new tcl
- requires fonts-ttf-dejavu
- use modified tarball with non-free font Test.ttf (actually Arial) replaced by a symlink to a DejaVu font (#38259)
- clean up spec a bit

  + Oden Eriksson <oeriksson@mandriva.com>
    - 3.0.0b5
    - sync with fedora
    - drop the Xvfb stuff, it's borked

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.0.1.09-7mdv2008.1
+ Revision: 136454
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - BR swig
    - kill re-definition of %%buildroot on Pixel's request


* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 2.0.1.09-7mdv2007.0
+ Revision: 91905
- fix buildrequires
- bot rebuild
- Import python-opengl

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 2.0.1.09-6mdv2007.1
- update file list

* Mon Jul 03 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.1.09-5mdv2007.0
- %%mkrel
- fix deps

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.1.09-4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sun May 15 2005 Michael Scherer <misc@mandriva.org> 2.0.1.09-3mdk
- fix buildrequires to please mr lurt
- fix build on amd64 to please miss deborah

* Sat May 14 2005 Michael Scherer <misc@mandriva.org> 2.0.1.09-2mdk
- from Tigrux <tigrux@ximian.com>
  - Do not require python = 2.5

* Tue Dec 07 2004 Michael Scherer <misc@mandrake.org> 2.0.1.09-1mdk
- allows build without X
- from Tigrux <tigrux@ximian.com> 2.0.1.09-1
  - First rpm for Mandrake

